.newsletter-form-with-images {
    margin: @grid-gutter-width 0 @grid-gutter-width*2 0;

    h2 {
        margin: 0;
        font-size: 70px;
        line-height: 90%;
        letter-spacing: -0.03em;
        text-transform: uppercase;
    }

    &__content-wrapper {
        position: relative;
        margin-top: 80px;

        @media (max-width: 550px) {
            margin-top: @grid-gutter-width;
        }
    }

    &__image-wrapper {
        position: relative;
        z-index: 1;

        @media (max-width: 550px) {
            margin-left: -@grid-gutter-width/2;
            margin-right: -@grid-gutter-width/2;
            overflow: hidden;
        }
    }

    &__level-1 {
        max-width: 35%;
        width: 100%;
        margin: auto;
        position: relative;
        z-index: 4;

        @media (max-width: @screen-md-max) {
            max-width: 50%;
        }

        @media (max-width: @screen-xs-max) {
            max-width: 66%;
        }

        @media (max-width: 550px) {
            max-width: 100%;
            z-index: 0;
        }
    }

    &__level-2,
    &__level-3,
    &__level-4 {
        width: 100%;
        margin: auto;
        position: absolute;
        top: 0;
        bottom: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    &__level-2 {
        max-width: 66.66666%;
        left: 16.6666665%;
        z-index: 3;

        > * {
            width: 40%;
        }

        @media (max-width: @screen-md-max) {
            max-width: 80%;
            left: 10%;
        }

        @media (max-width: @screen-xs-max) {
            left: 0;
            max-width: none;
        }

        @media (max-width: 550px) {
            left: 0;
            right: 0;

            > * {
                width: auto;
            }

            .image_2 {
                position: absolute;
                left: 16.66666%;
                right: 16.66666%;
            }

            .image_3 {
                position: absolute;
                left: 33.33333%;
                right: 33.33333%;
            }
        }
    }

    &__level-3 {
        max-width: 90%;
        left: 5%;
        z-index: 2;

        > * {
            width: 22.5%;
        }

        @media (max-width: @screen-md-max) {
            max-width: none;
            left: 0;
            right: 0;

            > * {
                width: 20%;
            }
        }

        @media (max-width: @screen-sm-max) {
            display: none;
        }
    }

    &__level-4 {
        left: 0;
        right: 0;
        z-index: 1;

        > * {
            width: 15%;
        }

        @media (max-width: @screen-xs-max) {
            display: none;
        }
    }

    &__image {
        background-position: 50% 50%;
        background-size: cover;
        border: 1px solid @border-color;

        &::before {
            content: "";
            display: block;
            padding-top: 115%;
        }

        &.image_4,
        &.image_5,
        &.image_6,
        &.image_7 {
            @media (max-width: @screen-xs-max) {
                display: none;
            }
        }
    }

    &__form {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        z-index: 2;
        display: flex;
        flex-flow: column nowrap;
        justify-content: center;
        align-items: center;
        width: 33.33333%;
        margin: 0 auto;
        padding: 0 @grid-gutter-width;

        @media (max-width: @screen-md-max) {
            width: 45%;
        }

        @media (max-width: @screen-xs-max) {
            width: 66%;
        }

        @media (max-width: 550px) {
            width: 100%;
            padding: 0;
        }

        &__input-wrapper {
            margin: @grid-gutter-width 0;
            position: relative;
            width: 100%;
            margin-bottom: 37px;

            .fa {
                position: absolute;
                left: 14px;
                top: 17px;
                width: 34px;
                text-align: center;
                margin-top: 2px;
            }

            input {
                width: 100%;
                padding: 10px 10px 10px 45px;
                border: 1px solid #000;
                background: #fff;
                height: 66px;
                font-size: 22px;
                padding-left: 70px;
            }
        }

        .btn {
            padding: 10px 45px;
            height: 66px;
            width: 240px;
            border: 1px solid black;
        }
    }
}
